FROM debian:stretch-slim


EXPOSE 4877


RUN apt-get update && \
    apt-get install -y --no-install-recommends \
    subversion \
    bison flex gcc make pkg-config libncurses5 libncurses5-dev libpcre3-dev libglib2.0-0 libglib2.0-dev libreadline7 libreadline-dev


WORKDIR /root


# Installation: IMS Open Corpus Workbench
RUN svn -q export http://svn.code.sf.net/p/cwb/code/cwb/trunk cwb && \
    cd cwb && \
    echo "PLATFORM=linux-64\nSITE=standard" | cat - config.mk > temp && mv temp config.mk && \
    make clean && \
    make depend && \
    make all && \
    make install && \
    cd ..


# Installation: Perl CWB package
RUN echo "yes" | cpan HTML::Entities && \
    svn -q export http://svn.code.sf.net/p/cwb/code/perl/trunk/CWB perl-cwb && \
    cd perl-cwb && \
    perl Makefile.PL && \
    make && \
    make test && \
    make install && \
    cd ..


ENTRYPOINT ["cqpserver"]
#CMD ["-h"]
